Bug 235280 - SELinux: allow undefined classes and permissions in kernel
Summary: SELinux: allow undefined classes and permissions in kernel
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eric Paris
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 19:58 UTC by Eric Paris
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 15:53:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Paris 2007-04-04 19:58:30 UTC
Right now if you update your kernel and add new classes/permissions but don't
update policy to add allow rules for those new classes/permissions all
operations will be denied.  We need to add an option (specified by policy) to
allow these unknowns rather than deny them.

try number 1:
http://marc.info/?t=116499017900004&r=1&w=2

try number 2:
http://marc.info/?t=117130977100002&r=1&w=2

Comment 1 Eric Paris 2007-10-12 15:53:43 UTC
should be going into 2.6.24


Note You need to log in before you can comment on or make changes to this bug.